Bug 961303 - Review Request: mingw-winpthreads - MinGW pthread library
Summary: Review Request: mingw-winpthreads - MinGW pthread library
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-09 11:29 UTC by Erik van Pienbroek
Modified: 2014-12-23 20:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-25 20:07:50 UTC
manisandro: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
licensecheck.txt (24.68 KB, text/plain)
2013-05-10 16:53 UTC, Sandro Mani
no flags Details

Description Erik van Pienbroek 2013-05-09 11:29:01 UTC
Spec URL: http://svn.nntpgrab.nl/svn/fedora_cross/mingw-winpthreads/mingw-winpthreads.spec
SRPM URL: http://kojipkgs.fedoraproject.org//work/tasks/3113/5353113/mingw-winpthreads-2.0.999-0.2.trunk.20130509.fc20.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5353109

Description:
The POSIX 1003.1-2001 standard defines an application programming
interface (API) for writing multithreaded applications. This interface
is known more commonly as pthreads. A good number of modern operating
systems include a threading library of some kind: Solaris (UI)
threads, Win32 threads, DCE threads, DECthreads, or any of the draft
revisions of the pthreads standard. The trend is that most of these
systems are slowly adopting the pthreads standard API, with
application developers following suit to reduce porting woes.

Win32 does not, and is unlikely to ever, support pthreads
natively. This project seeks to provide a freely available and
high-quality solution to this problem.

Comment 1 Sandro Mani 2013-05-09 18:58:02 UTC
I get

file /usr/i686-w64-mingw32/sys-root/mingw/include/pthread_time.h from install of mingw32-winpthreads-2.0.999-0.2.trunk.20130509.fc20.noarch conflicts with file from package mingw32-headers-2.0.999-0.21.trunk.20130428.fc20.noarch

file /usr/i686-w64-mingw32/sys-root/mingw/include/pthread_unistd.h from install of mingw32-winpthreads-2.0.999-0.2.trunk.20130509.fc20.noarch conflicts with file from package mingw32-headers-2.0.999-0.21.trunk.20130428.fc20.noarch

file /usr/x86_64-w64-mingw32/sys-root/mingw/include/pthread_time.h from install of mingw64-winpthreads-2.0.999-0.2.trunk.20130509.fc20.noarch conflicts with file from package mingw64-headers-2.0.999-0.21.trunk.20130428.fc20.noarch

file /usr/x86_64-w64-mingw32/sys-root/mingw/include/pthread_unistd.h from install of mingw64-winpthreads-2.0.999-0.2.trunk.20130509.fc20.noarch conflicts with file from package mingw64-headers-2.0.999-0.21.trunk.20130428.fc20.noarch

Plus, I'm not sure if there is a strict requirement of static libraries being placed in a separate pacakge?

Comment 2 Erik van Pienbroek 2013-05-09 19:19:27 UTC
The file conflict is known. Once this package is built, the mingw-headers needs to be rebuilt with the flag 'bundle_dummy_pthread_headers' set to 0. See the comment in the mingw-headers .spec file for more details about this.

In all Fedora MinGW packages it is common to place static libraries in a separate package. I just noticed that for this package the static libraries are currently placed in the main package. That isn't intentional, so I've just fixed that:

Updated Spec URL: http://svn.nntpgrab.nl/svn/fedora_cross/mingw-winpthreads/mingw-winpthreads.spec
Updated SRPM URL: http://kojipkgs.fedoraproject.org//work/tasks/7830/5357830/mingw-winpthreads-2.0.999-0.3.trunk.20130509.fc20.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5357829

* Thu May  9 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.0.999-0.3.trunk.20130509
- Added -static subpackages
- Changed license to MIT and BSD

Comment 3 Sandro Mani 2013-05-09 20:05:50 UTC
Should a Conflicts: mingw32/64-headers < 2.0.999-0.24 be introduced to explicitly highlight this issue?

For the rest, I see nothing else to point out.

Comment 4 Erik van Pienbroek 2013-05-10 15:05:34 UTC
I think a conflicts tag is a good idea. Although I will only add it once the updated mingw-headers package is built to avoid potential breakage

Comment 5 Sandro Mani 2013-05-10 16:53:23 UTC
Created attachment 746261 [details]
licensecheck.txt

Final review:

===== MUST items =====
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
    => Also see attached licensecheck.txt
[!]: Package does not generate any conflict.
    => Conflict to be added when mingw-headers is updated

===== optional items =====

- notify upstream about incorrect FSF addresses (see licensecheck.txt)
- BuildRequires can be simplified (gcc-c++ pulls in gcc and binutils)

Comment 6 Erik van Pienbroek 2013-05-11 17:08:59 UTC
Updated Spec URL: http://svn.nntpgrab.nl/svn/fedora_cross/mingw-winpthreads/mingw-winpthreads.spec
Updated SRPM URL: http://kojipkgs.fedoraproject.org//work/tasks/6944/5366944/mingw-winpthreads-2.0.999-0.4.trunk.20130509.fc20.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5366944

* Sat May 11 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.0.999-0.4.trunk.20130509
- Simplified the BuildRequires
- Added a clarification for the combined license
- Added conflicts for mingw{32,64}-headers versions which also provide pthread headers

Comment 7 Sandro Mani 2013-05-11 19:15:09 UTC
All ok, approved!

Comment 8 Erik van Pienbroek 2013-05-11 20:18:36 UTC
Thank you very much for the review!
The actual introduction of this package in Fedora will require some more preparations which I will share with the mailing list soon.

New Package SCM Request
=======================
Package Name: mingw-winpthreads
Short Description: MinGW pthread library
Owners: epienbro ktietz
Branches: 
InitialCC:

Comment 9 Gwyn Ciesla 2013-05-12 16:11:01 UTC
Git done (by process-git-requests).

Comment 10 Erik van Pienbroek 2014-01-25 20:07:50 UTC
Package is available as of Fedora 20. Closing review ticket

Comment 11 Erik van Pienbroek 2014-12-23 19:00:00 UTC
Package Change Request
======================
Package Name: mingw-winpthreads
New Branches: el6
Owners: epienbro
InitialCC:

Comment 12 Gwyn Ciesla 2014-12-23 20:07:05 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.